> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/traffic/bandwidth-cluster/describebandwidthclusters.md).

# DescribeBandwidthClusters

## 1. API Description

This API (DescribeBandwidthClusters) is used to query information of one or more bandwidth clusters. You can filter the query results with bandwidth cluster ID, name, city name and etc.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name       | Required | Type                                                        | Description                                                                                            |
| -------------------- | -------- | ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| bandwidthClusterIds  | No       | Array of String                                             | <p>Bandwidth cluster ID.</p><p>You can query up to 100 IDs in each request.</p>                        |
| bandwidthClusterName | No       | String                                                      | Bandwidth cluster name. Fuzzy search is supported.                                                     |
| cityName             | No       | String                                                      | Name of city included in the bandwidth cluster.                                                        |
| pageNum              | No       | Integer                                                     | <p>Number of pages returned.</p><p>Default value: 1.</p><p>Default value: 1</p>                        |
| pageSize             | No       | Integer                                                     | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p> |
| resourceGroupId      | No       | String                                                      | Filter by resource group ID.                                                                           |
| tagKeys              | No       | Array of String                                             | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                                       |
| tags                 | No       | Array of [Tag](/api-reference/traffic/datastructure.md#tag) | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                                       |

## 3. Output Parameters

| Parameter Name | Type                                                                                          | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                        | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                       | Number of bandwidth clusters meeting the filtering conditions.                                                        |
| dataSet        | Array of [BandwidthClusterInfo](/api-reference/traffic/datastructure.md#bandwidthclusterinfo) | Information on bandwidth clusters.                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query bandwidth cluster list.**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBandwidthClusters
<Common Request Params>

Request:
{
  "pageNum": 1,
  "pageSize": 1
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "totalCount": 1,
        "dataSet": [
            {
                "bandwidthClusterId": "bandwidthClusterId",
                "bandwidthClusterName": "Frankfurt",
                "location": "Frankfurt",
                "createTime": "2024-01-01T00:00:00Z"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
